> For the complete documentation index, see [llms.txt](https://docs.bloxroute.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bloxroute.com/eth/submit-bundles/priority-fee-refund.md).

# Priority Fee Refund Program

**Earn refunds on ETH Mainnet MEV Bundles & Private Transactions**

bloXroute’s Priority Fee Refund Program lets transaction originators (e.g. searchers, wallets, Telegram bots) receive on-chain refunds for the priority fee (tip) spent—without sacrificing inclusion rate.

Builders in the program bid competitively to return a portion of their profit from your transaction's priority fee.

Note that **to qualify**, your transaction must be **exclusive to bloXroute**. If you send it to other builders directly, **no refund** will be issued.

#### How It Works

1. **Send your bundle or private transaction** using `blxr_submit_bundle` or `blxr_private_tx`.
2. **Set these parameters** in your request:
   * `priority_fee_refund: true`
   * `refund_recipient: "<your_wallet_address>"`
3. **bloXroute selects the builder**:
   * Before the next slot, bloXroute evaluates which participating builder has the **highest chance to win** and offers the **best refund bid**.
   * If builder A consistently builds better blocks than others, your transaction stays **exclusive** with builder A.
   * If builder A falls behind, bloXroute will **fall back to broadcast** to all builders (as specified).

#### Refund Eligibility

* Refunds are issued only if your transaction remains exclusive to a participating builder.
* Refunds are based on the builder’s profit margin from your transaction.
* Refunds are paid on-chain, typically within 1–2 hours after inclusion.

#### Example

* Builder A (in the refund program) vs Builder B (not in program).
* If Builder A consistently builds more profitable blocks, your tx is sent only to them = refund eligible.
* If Builder B takes the lead at any point, tx is sent to all → no refund.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bloxroute.com/eth/submit-bundles/priority-fee-refund.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
